Ortaklar için API › Ayarlar Özel düzenleme bölümlerini al GET /api/crm/v2/team.edit_permission_sections_customv2
operationId: team.editPermissionSectionsCustom
Yetkilendirme api-token + language + role
Sorgu parametreleri user_id integer zorunlu
Kullanıcı kimliği; rol bu kimliğe göre belirlenir
Örnek: 1
Yanıtlar 200
object
status string zorunlu
Değerler: successerror
Örnek: success
data object
default_permissions array of object
id integer zorunlu
Örnek: 572
permission_section_id integer zorunlu
Örnek: 112
readonly_enabled boolean zorunlu
Örnek: false
slug string zorunlu
Örnek: branches
user_permissions array of object
Kullanıcıya özel bölümler
id integer zorunlu
Örnek: 572
permission_section_id integer zorunlu
Örnek: 112
readonly_enabled boolean zorunlu
Örnek: false
slug string zorunlu
Örnek: branches
date_expiration oneOf null olabilir
Erişim bitiş tarihi (UTC); null — sınırsız. Süresi dolan kayıtlar otomatik olarak silinir.
Seçeneklerden biri
DataTimeFormatSQL
string (DataTimeFormatSQL)
Örnek: 2024-05-02 08:31:16
selectable_permissions array of object
Editörün seçebileceği bölümler: düzenlenen rolün varsayılan bölümleri, ayrıca editörün varsayılan ve özel bölümleri
slug string zorunlu
Örnek: items
description string zorunlu
Örnek: Items
type string zorunlu
Değerler: folderpagelink
Örnek: page
endpoint_only_enabled boolean
Yalnızca page tipi için: bölüm, API uç noktası olarak mevcuttur ve yan menüde gösterilmez. Erişim, normal bir sayfa gibi verilir ve kontrol edilir, bu nedenle bölüm rol ve kullanıcı izinleri rehberlerinde kalır.
Örnek: false
firm_section_parent_id integer
Örnek: 1
system_section_parent_id integer
Örnek: 1
affiliate_section_parent_id integer
Örnek: 1
sort integer zorunlu
Örnek: -1714739780
permission_condition_id integer
Bölümün gösterilme koşulu
Örnek: 2
actions array of object
permission_section_id integer
Örnek: 62
permission_condition_id integer
Örnek: 1
description string
Örnek: view
curl PHP JavaScript Python Kopyala
curl -X GET 'https://foodsoul.ru/api/crm/v2/team.edit_permission_sections_custom?user_id=1' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: tr' \
-H 'role: affiliate' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'GET' , 'https://foodsoul.ru/api/crm/v2/team.edit_permission_sections_custom?user_id=1' , [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN' ,
'language' => 'tr' ,
'role' => 'affiliate' ,
],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.ru/api/crm/v2/team.edit_permission_sections_custom?user_id=1" , {
method : "GET" ,
headers : {
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "tr" ,
"role" : "affiliate"
},
})
const data = await response . json () import requests
response = requests . request (
"GET" ,
"https://foodsoul.ru/api/crm/v2/team.edit_permission_sections_custom?user_id=1" ,
headers ={
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "tr" ,
"role" : "affiliate" ,
},
)
data = response . json () Yanıt 200
{
"status" : "success" ,
"data" : {
"default_permissions" : [
{
"id" : 572 ,
"permission_section_id" : 112 ,
"readonly_enabled" : false ,
"slug" : "branches"
}
],
"user_permissions" : [
{
"id" : 572 ,
"permission_section_id" : 112 ,
"readonly_enabled" : false ,
"slug" : "branches" ,
"date_expiration" : "2024-05-02 08:31:16"
}
],
"selectable_permissions" : [
{
"id" : 1 ,
"slug" : "items" ,
"description" : "Items" ,
"type" : "page" ,
"endpoint_only_enabled" : false ,
"firm_section_parent_id" : 1 ,
"system_section_parent_id" : 1 ,
"affiliate_section_parent_id" : 1 ,
"sort" : -1714739780 ,
"zone" : "ru" ,
"permission_condition_id" : 2 ,
"actions" : [
{
"id" : 1 ,
"permission_section_id" : 62 ,
"permission_condition_id" : 1 ,
"action" : "view" ,
"description" : "view"
}
]
}
]
}
} İstekler foodsoul.ru adresine gönderiliyor — bu portalın ana bilgisayarıdır, başka birini seçmek mümkün değildir.